<?php

	/*------------------------------------------------------------------------
	# Aixeena News (module)
	# ------------------------------------------------------------------------
	# version		4.0.0
	# author    	Top Position
	# copyright 	Copyright (c) 2018 Top Position All rights reserved.
	# @license 		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
	# Website		http://posicionamientoenbuscadoreswebseo.es/
	-------------------------------------------------------------------------
	*/
	// no direct access
	
	defined('_JEXEC') or die;
	
	require_once JPATH_SITE.'/components/com_content/helpers/route.php';
	$db = JFactory::getDbo();
	
	$db->setQuery('SELECT a.*, c.alias AS category_alias FROM #__content a LEFT JOIN #__categories AS c ON c.id = a.catid WHERE a.id='.$params->get('articleid',0));
	$data = $db->loadObject();
	
	if (empty($data)) {
	
		echo '
			<h3>'.$params->get('name','').$closemark.'</h3>
			<div class="md-content-content">
				Article not found.
			</div>';

	} else {
	
		if($params->get('articletitle',1)) $title = $data->title;
		else	$title = $params->get('name','');
		
		$text = '';
		if($params->get('showintro',1)) $text =  '<div class="modal-introtext">'.$data->introtext.'</div>';
		if($params->get('showfulltext',0)) $text =  '<div class="modal-introtext">'.$data->fulltext.'</div>';
	
		echo '
			<h3>'.$title.$closemark.'</h3>
			<div class="md-content-content">';
		echo $text;
		echo '
			</div>';
			
		if($params->get('showreadmore',1)) {
		
			$slug			= $data->alias ? ($data->id.':'.$data->alias) : $data->id;
			$catslug		= $data->category_alias ? ($data->catid.':'.$data->category_alias) : $data->catid;
			$readmore_link = JRoute::_(ContentHelperRoute::getArticleRoute($slug, $catslug));	
		
			$target = '';
			if($params->get('target_sh',0))  $target = ' target="_blank" ';

			$icon = '';
			if($params->get('iconlist_sh','')&&$params->get('iconlist_sh','')!='none') $icon ='<span class="aixeena-glyphicon '.$params->get('iconlist_sh','').'"></span> ';

			$buttons .= '<a href="'.$readmore_link.'" class="aixeena-btn pull-right '.$params->get('btn_sh','aixeena-btn-primary').' '.$params->get('btnsize_sh','').'"'.$target.'>'.$icon.$params->get('showreadmore_text','Read more').'</a>';
		
		}
			
	}	
	
?>