<?php
/*------------------------------------------------------------------------
# Aixeena News (module)
# ------------------------------------------------------------------------
# version		4.0.0
# author    	Top Position
# copyright 	Copyright (c) 2018 Top Position All rights reserved.
# @license 		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Website		http://posicionamientoenbuscadoreswebseo.es/
-------------------------------------------------------------------------
*/
// no direct access

	defined('_JEXEC') or die;
	
	JHtml::_('jquery.framework');
	
	JHtml::addIncludePath(JURI::base(true). '/components/com_content/helpers');
	
	include('modules/params.php'); // params module
	
	// CSS
	if($CSS) $document->addStyleSheet($route_assets.'/css/aixeena-news.css');
	
	if($CSS && $addCSS) $document->addCustomTag("
<style type=".'"text/css"'.'>'.$addCSS.'</style>');
	
	// Aixeena buttons
	if($params->get('aixeenabuttons',1) && $CSS) $document->addStyleSheet($route_assets.'/aixeenabuttons/aixeenabuttons.css');
	
	// Modals CSS
	if($params->get('show_expand',0) && $CSS) include('modules/cssmodal.php'); //enlarge modal module
	
	// debug
	// echo ('Layout:'.$layout.'; Vertical='.$vertical.';Horizontal:'.$horizontal.'<hr>'); die();
	
	echo '<div class="aixeena-news-container-all">';
	
	if($params->get('customhtmltext','') && $params->get('htmltext',1) &&  $params->get('htmltextwhere','out')=='out') echo '<div class="aixeena-news-html" id="aixeena-news-html-'.$module->id.'">'.$params->get('customhtmltext','').'</div>';
	
	$topitems = 0; $linkitems = 0; $seconditems = 0; $countitems =0;
	
	if($list) $countitems =  count($list);
	
	if($params->get('top_items',0) && $params->get('top_items_number',0)) $topitems = (int) $params->get('top_items_number',0);
	
	if($topitems && $countitems) $seconditems = $countitems - $topitems; 
	
	if($params->get('links_items',0) && $params->get('links_items_number',0)) $linkitems = (int) $params->get('links_items_number',0);
	
	if($linkitems && $countitems) $seconditems = $countitems - $linkitems; 
	
	//echo $countitems. ' - '. $seconditems. ' - '. $linkitems;
	
	if($layout == 'horizontal')  	include('layouts/default-horizontal.php');
	if($layout == 'carousel')  		include('layouts/default-carousel.php');
	if($layout == 'vertical')  		include('layouts/default-vertical.php');
	if($layout == 'list')  			include('layouts/default-list.php');
	if($layout == 'buttons')  		include('layouts/default-buttons.php');	

	// Modals HTML
	if($params->get('show_expand',0)) include('modules/modal.php'); 
	
	echo '</div>';
	
	
	echo '<div style="padding:5px; text-align: right; font-size:12px;">Desarrollado por <a href="" title="Master marketing digital Madrid">Master marketing digital Madrid</a> Top Position';

?>